--
-- JodoPlay平台
-- @Author: CGJ
-- @DateTime: 2016-11-23 

local superClass = logic.LogicBase
logic.platformYijie = base.class("logic.platformYijie", superClass)
local platformYijie = logic.platformYijie
platformYijie:inherit(base.Singleton)
-----------------------------------------------------登陆平台相关----------------------------------------------------------

local chttp = require "chttp"
local GlobalConfig = GlobalConfig
local utils = utils
local log = log
local stringformat = string.format
local AppActivity = "org/cocos2dx/lua/AppActivity"

local bindFBStatus = false
local accountId = nil
local playName = ""
local palyLevel = 111
local chargeType = nil
local chargeTypeID = 0

function platformYijie:ctor( ... ) 
    superClass.ctor(self)   
end


function platformYijie:init( ... )
    superClass.init(self)
end

function platformYijie:getAccountId()
    return accountId
end

function platformYijieLoginNew(params)
	local jsonData = utils.jsonDecode(params)
	local accountToken = jsonData.Token
	local account = stringformat("%s,%s,%s",jsonData.userId,jsonData.channelId,jsonData.appId)
	platform.CHANNEL = 50
	local request = {}
	request.url = stringformat("http://%s:%d/auth/accountHandler/login",GlobalConfig.SERVER_IP,GlobalConfig.LOGIN_PORT)
	--request.data = stringformat("account=%s&platform=%d",account,platform.CHANNEL)
	request.data = stringformat("account=%s&token=%s&platform=%d",account,accountToken,platform.CHANNEL)
	request.type = chttp.REQUEST_TYPE_POST
	local lIns = logic.LoginMgr:getInstance()
	request.callback = handler(lIns,lIns.onLoginCompleted)
	chttp.send(request)
end


function platformYijie:chargeCallBack(response,msg)
   if msg and msg.result == 0 then
        local data = msg
        local Paydata = {}
        --print("----------------getMyOrder begin----------------- ")
		Paydata.orderId = data.orderId                      --订单id
        --print("orderId " .. Paydata.orderId)
        Paydata.proId = data.proId                      --商品id
        --print("proId " .. Paydata.proId)
    	Paydata.mPrice = data.mPrice                         --价格(美分)
        --print("mPrice " .. Paydata.mPrice)
        Paydata.amount = data.amount                        -- 获得的货币个数
        --print("amount " .. Paydata.amount)
        Paydata.cashType = data.cashType                    -- 获得的货币类型
        Paydata.proName = data.proName                      -- 商品名称
--        if chargeTypeID == 3 then               -- 礼包
--            Paydata.proName = Paydata.mPrice/100 .. view.lang.text(11824)
--        end
        Paydata.serverID = "1"                              --用户服务器id
        Paydata.serverName = "Sim Hospital"                 --服务器名字
        Paydata.chargeType = chargeType                        --服务器添加充值类型
        Paydata.payUrl = data.payURL
        local playerInfo = dm.PlayerInfoMgr.getInfo()
    	Paydata.roleName = playerInfo.sName                --用户名字
		Paydata.roleLevel = tostring(playerInfo.iExpLvl)   --用户等级
        --print("----------------getMyOrder end----------------- ")
        if cc.Application:getInstance():getTargetPlatform() == cc.PLATFORM_OS_ANDROID then
            local jsonData = utils.jsonEncode(Paydata)
   		    local luaj = require "cocos/cocos2d/luaj.lua"
		    luaj.callStaticMethod(AppActivity, "doCharge", {jsonData}, "(Ljava/lang/String;)V")	
            luaj.callStaticMethod(AppActivity, "onChargeRequest", {tostring(Paydata.orderId),tostring(Paydata.proId),tostring(Paydata.mPrice/100),"CNY",tostring(Paydata.amount),Paydata.chargeType},"(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V")  
        end
    else
        print("switch.payHandler.getMyOrder error!!!!!!!!!")
    end
end

----------------------------------- 充值接口 --------------------------  
function platformYijie:doPay(index,charType,buyType)
	--print("switch.payHandler.getMyOrder " .. index)
    if charType == 1 then 
        chargeTypeID = 1
        chargeType = "money"
    elseif charType == 2 then
        chargeTypeID = 2
        chargeType = "diamond"
    elseif charType == 3 then
        chargeTypeID = 3
        chargeType = "gift"
    else
        chargeType = "charge error"
    end
    local msg = {}
    msg.platform = platform.CHANNEL 
    msg.productId = index
    msg.buyType = buyType
    net.request("switch.payHandler.getMyOrder", msg, self, self.chargeCallBack)
end

function platformYijie:noticeYijie(level, roleName,Gid)
	local args = {
		Gid,
        roleName,
        tostring(level),
        "1",
		"Sim Hospital",   
	}
    local luaj = require "cocos/cocos2d/luaj.lua"
	local sigs = "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V"
    luaj.callStaticMethod(AppActivity,"setRoledata",args,sigs)
end


function platformYijieExitCallBack()
    local function __onClicked(idx)
        if idx == 0 or idx == 2 then
        elseif idx == 1 then
            utils.exit()
        end
    end
    if false == g_mainStory then
        view.ViewMgr.show(view.layers.PopUpUI,view.lang.text(1),__onClicked)
    end
end